@title Unstuck ICS

::Set our default parameters
@echo off
color 0b



:menuLOOP

	call:header
	::Print our header
	::call:header
	
	::Load up our menu selections
	echo. 
	echo.
	for /f "tokens=1,2,* delims=_ " %%A in ('"findstr /b /c:":menu_" "%~f0""') do echo.  %%B  %%C
	
	call:printstatus

	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to exit: ||GOTO:EOF
	echo.&call:menu_%choice%
	
GOTO:menuLOOP
:menu_1    Fastboot flash 6.16.206 Kernel (4.0.4) 
cls
color 0b	
	echo [*] Simple Droid 4 Restore
	echo [*] Windows Version
	echo [*] Created by mattlgroff (with help from dhacker29!)
	echo [*] Follow us @mattlgroff @dhacker29 or on DroidRZR.com
	echo [*]
	echo [*] Before continuing, ensure your Droid 4 is in the
	echo [*] "AP Fastboot" mode and connected via USB.
	echo [*] (Press both volume buttons when it boots the the triangle, 
	echo [*] choose wipe cache, and then reboot.)
	echo [*]
	echo [*] Press enter to flash kernel to 6.16.206...
	pause 
files\moto-fastboot flash boot files\boot206.img
files\moto-fastboot reboot-bootloader
	
	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to return: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:menu_1

:menu_2    Fastboot flash 6.16.208 Kernel (4.0.4) 
cls
color 0b	
	echo [*] Simple Droid 4 Restore
	echo [*] Windows Version
	echo [*] Created by mattlgroff (with help from dhacker29!)
	echo [*] Follow us @mattlgroff @dhacker29 or on DroidRZR.com
	echo [*]
	echo [*] Before continuing, ensure your Droid 4 is in the
	echo [*] "AP Fastboot" mode and connected via USB.
	echo [*] (Press both volume buttons when it boots the the triangle, 
	echo [*] choose wipe cache, and then reboot.)
	echo [*]
	echo [*] Press enter to flash kernel to 6.16.208...
	pause 
files\moto-fastboot flash boot files\boot208.img
files\moto-fastboot reboot-bootloader
	
	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to return: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:menu_1

:menu_3    Fastboot flash 6.16.211 Kernel (4.0.4) 
cls
color 0b	
	echo [*] Simple Droid4 Restore
	echo [*] Windows Version
	echo [*] Created by mattlgroff (with help from dhacker29!)
	echo [*] Follow us @mattlgroff @dhacker29 or on DroidRZR.com
	echo [*]
	echo [*] Before continuing, ensure your Droid 4 is in the
	echo [*] "AP Fastboot" mode and connected via USB.
	echo [*] (Press both volume buttons when it boots the the triangle, 
	echo [*] choose wipe cache, and then reboot.)
	echo [*]
	echo [*] Press enter to flash kernel to 6.16.211...
	pause 
files\moto-fastboot flash boot files\boot211.img
files\moto-fastboot reboot-bootloader
	
	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to return: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:menu_1

:menu_4    Fastboot flash 6.16.212 Kernel (4.0.4) 
cls
color 0b	
	echo [*] Simple Droid4 Restore
	echo [*] Windows Version
	echo [*] Created by mattlgroff (with help from dhacker29!)
	echo [*] Follow us @mattlgroff @dhacker29 or on DroidRZR.com
	echo [*]
	echo [*] Before continuing, ensure your Droid 4 is in the
	echo [*] "AP Fastboot" mode and connected via USB.
	echo [*] (Press both volume buttons when it boots the the triangle, 
	echo [*] choose wipe cache, and then reboot.)
	echo [*]
	echo [*] Press enter to flash kernel to 6.16.212...
	pause 
files\moto-fastboot flash boot files\boot212.img
files\moto-fastboot reboot-bootloader
	
	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to return: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:menu_1

:menu_5    Fastboot flash 6.16.213 Kernel (4.0.4) 
cls
color 0b	
	echo [*] Simple Droid 4 Restore
	echo [*] Windows Version
	echo [*] Created by mattlgroff (with help from dhacker29!)
	echo [*] Follow us @mattlgroff @dhacker29 or on DroidRZR.com
	echo [*]
	echo [*] Before continuing, ensure your Droid 4 is in the
	echo [*] "AP Fastboot" mode and connected via USB.
	echo [*] (Press both volume buttons when it boots the the triangle, 
	echo [*] choose wipe cache, and then reboot.)
	echo [*]
	echo [*] Press enter to flash kernel to 6.16.213...
	pause 
files\moto-fastboot flash boot files\boot213.img
files\moto-fastboot reboot-bootloader
	
	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to return: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:menu_1
:menu_6    Fastboot flash 6.16.215 Kernel (4.0.4) 
cls
color 0b	
	echo [*] Simple Droid 4 Restore
	echo [*] Windows Version
	echo [*] Created by mattlgroff (with help from dhacker29!)
	echo [*] Follow us @mattlgroff @dhacker29 or on DroidRZR.com
	echo [*]
	echo [*] Before continuing, ensure your Droid 4 is in the
	echo [*] "AP Fastboot" mode and connected via USB.
	echo [*] (Press both volume buttons when it boots the the triangle, 
	echo [*] choose wipe cache, and then reboot.)
	echo [*]
	echo [*] Press enter to flash kernel to 6.16.215...
	pause 
files\moto-fastboot flash boot files\boot215.img
files\moto-fastboot reboot-bootloader
	
	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to return: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:menu_1
:menu_7    Fastboot flash 6.16.217 Kernel (4.0.4) 
cls
color 0b	
	echo [*] Simple Droid 4 Restore
	echo [*] Windows Version
	echo [*] Created by mattlgroff (with help from dhacker29!)
	echo [*] Follow us @mattlgroff @dhacker29 or on DroidRZR.com
	echo [*]
	echo [*] Before continuing, ensure your Droid 4 is in the
	echo [*] "AP Fastboot" mode and connected via USB.
	echo [*] (Press both volume buttons when it boots the the triangle, 
	echo [*] choose wipe cache, and then reboot.)
	echo [*]
	echo [*] Press enter to flash kernel to 6.16.217...
	pause 
files\moto-fastboot flash boot files\boot217.img
files\moto-fastboot reboot-bootloader
	
	set choice=
	echo.&set /p choice= Please make a selection or hit ENTER to return: ||GOTO:EOF
	echo.&call:bootsubmenu_%choice%
color 0b	
cls	
GOTO:menu_1
:header  
cls        
color 0a
files\adb kill-server
files\adb start-server
cls


	echo           ***********************************************************
	echo           *                   D4 Unstuck ICS Tool                   *
	echo           *                   Modded By Myfishbear                  *
	echo           * Thanks to Bspatch Project, dhacker, adumont, mattlgroff *
	echo           ***********************************************************
	
pause
cls	
color 0b
GOTO:EOF

:printstatus
	echo. 
	echo.			  -Droid 4 Unstuck ICS-
	echo.
	echo. 		CtDracula is Awesome! and Giroux28 is a Dick!

GOTO:EOF

